Bug 88109 - 3com Megahertz 10/100LAN+56k CardBus PC Card( 3CCFRM656B ) causes system hang
3com Megahertz 10/100LAN+56k CardBus PC Card( 3CCFRM656B ) causes system hang
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-05 15:13 EST by Ean J. Price
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHEL3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 12:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ean J. Price 2003-04-05 15:13:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030315

Description of problem:
When the 3CCFRM656B card is inserted into my laptop the system freezes.  Only
the Magic Syskey or hard reboot gets me out. This card has worked on all
previous releases of Red Hat Linux and previously used the 3c59x module. I don't
know what its doing now since it freezes ;) It also didn't work in anaconda but
I figured it was just a fluke and loaded the box with a different card,
figuring(incorrectly) it would work once the system was installed.

The system is a Sony Vaio SR-17 PIII with 440BX chipset.

I'll attach the output of lspci -v:


If anyone is interested I can ship the card to wherever for testing.  It isn't
doing me any good at the moment :(


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert card into slot ( runlevel 3 )
2.Bite down hard
3.
    

Actual Results:  The machine froze and the cpu fan went into overdrive until I
crashed it.  You could have fried an egg on the underside of my laptop.

Expected Results:  The machine should not have froze and the NIC should have worked.

Additional info:
Comment 1 Ean J. Price 2003-04-05 15:14:44 EST
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
        Subsystem: Sony Corporation: Unknown device 8092
        Flags: bus master, medium devsel, latency 64
        Memory at 40000000 (32-bit, prefetchable) [size=16M]
        Capabilities: [a0] AGP version 1.0
 
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 128
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        Memory behind bridge: f0000000-f7ffffff
 
00:07.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
        Flags: bus master, medium devsel, latency 0
 
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01) (prog-if 80
[Master])
        Flags: bus master, medium devsel, latency 64
        I/O ports at fc90 [size=16]
 
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
        Flags: bus master, medium devsel, latency 64, IRQ 9
        I/O ports at fca0 [size=32]
 
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 03)
        Flags: medium devsel, IRQ 9
 
00:08.0 FireWire (IEEE 1394): Sony Corporation CXD3222 i.LINK Controller (rev
02) (prog-if 10 [OHCI])
        Subsystem: Sony Corporation: Unknown device 8095
        Flags: bus master, medium devsel, latency 64, IRQ 9
        Memory at fedf7000 (32-bit, non-prefetchable) [size=2K]
        Memory at fedf7c00 (32-bit, non-prefetchable) [size=512]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [dc] Power Management version 1
 
00:09.0 Multimedia audio controller: Yamaha Corporation YMF-754 [DS-1E Audio
Controller]
        Subsystem: Sony Corporation: Unknown device 8096
        Flags: bus master, medium devsel, latency 64, IRQ 9
        Memory at fedf8000 (32-bit, non-prefetchable) [size=32K]
        I/O ports at fcc0 [size=64]
        I/O ports at fc8c [size=4]
        Capabilities: [50] Power Management version 1
 
00:0a.0 Communication controller: Conexant HSF 56k Data/Fax Modem (Mob WorldW
SmartDAA) (rev
01)
        Subsystem: Sony Corporation Modem
        Flags: medium devsel, IRQ 9
        Memory at fede0000 (32-bit, non-prefetchable) [size=64K]
        I/O ports at fc78 [size=8]
        Capabilities: [40] Power Management version 2
 
00:0c.0 CardBus bridge: Ricoh Co Ltd RL5c475 (rev 80)
        Subsystem: Sony Corporation: Unknown device 8094
        Flags: bus master, medium devsel, latency 168, IRQ 9
        Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=02, subordinate=05, sec-latency=176
        Memory window 0: 10400000-107ff000 (prefetchable)
        Memory window 1: 10800000-10bff000
        I/O window 0: 00004000-000040ff
        I/O window 1: 00004400-000044ff
        16-bit legacy interface ports at 0001
 
01:00.0 VGA compatible controller: S3 Inc. 86C270-294 Savage/IX-MV (rev 13)
(prog-if 00 [VGA])
        Subsystem: Sony Corporation: Unknown device 80c9
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 9
        Memory at f0000000 (32-bit, non-prefetchable) [size=128M]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [dc] Power Management version 1
        Capabilities: [80] AGP version 1.0

Note You need to log in before you can comment on or make changes to this bug.